<template>
    <popup id="login">
        <div class="d-flex align-items-center mb-3">
            <h5 class="modal-title font-weight-bold">Masuk</h5>
            <a href="javascript:void(0)" class="ml-auto text-sm" @click.prevent="register()">Daftar</a>
        </div>
        <form action="#" @submit.prevent="loginSubmit()">
            <div class="form-group">
                <label for="email" class="text-sm font-weight-bold mb-0">Email Anda</label>
                <div class="d-flex align-items-center" v-if="nextStep == 1">
                    <input type="text" class="form-control-plaintext text-sm text-muted py-0 mr-2" :value="username" readonly>
                    <a href="javascript:void(0)" @click="nextStep = 0" class="text-orange text-sm">Ubah</a>
                </div>
                <div v-else>
                    <input type="text" class="form-control" v-model="username">
                    <p class="form-text text-muted text-sm">Contoh: robertdedjumadilakir@gmail.com</p>
                </div>
            </div>
            <div class="form-group" v-if="nextStep == 1" v-cloak>
                <label for="password" class="text-sm font-weight-bold">Kata Sandi</label>
                <div class="input-group append">
                    <input type="password" v-model="password" class="form-control" id="password" ref="password">
                    <div class="input-group-append">
                        <button type="button" class="btn btn-input-group text-sm" @click="showPasswd()"><i :class="this.isPasswdShow ? 'fas fa-eye' : 'fas fa-eye-slash' "></i></button>
                    </div>
                </div>
            </div>
            <div class="form-group" v-if="nextStep == 1" v-cloak>
                <div class="text-sm d-flex align-items-center">
                    <div class="form-check">
                        <input type="checkbox" class="form-check-input" value="1" id="remember">
                        <label for="remember" class="form-check-label text-muted">Ingat Saya</label>
                    </div>
                    <a href="#" class="ml-auto">Ubah kata sandi ?</a>
                </div>
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-block btn-primary my-4">{{ nextStep == 1 ? 'Masuk' : 'Selanjutnya' }}</button>
            </div>
        </form>
        <p class="text-sm text-muted mb-0">
            Belum punya akun Kompetensi Guru? <a href="javascript:void(0)" @click.prevent="register()">Daftar</a>
        </p>
    </popup>
</template>

<script>
import Popup from './Popup'

export default {
    components: {
        'popup': Popup
    },
    data() {
        return {
            nextStep: 0,
            username: '',
            password: '',
            isPasswdShow: false
        }
    },
    methods: {
        register() {
            $('#login').modal('hide');
            $('#register').modal('show');
        },
        loginSubmit() {
            // Check email is valid
            if (this.username != '') {
                this.nextStep = 1;
            }
        },
        showPasswd() {
            if (this.isPasswdShow) {
                this.$refs.password.type = 'password';
                this.isPasswdShow = false;
            } else {
                this.$refs.password.type = 'text';
                this.isPasswdShow = true;
            }
        }
    }
}
</script>
